document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_11000 | ---
+++
@@ -4,7 +4,7 @@
# Load OMZ first so that we can overwrite.
# If OMZ fails it won't load our theme, so load prompt explicitly.
-source $zshrc_dir/ohmy.zsh \
+source $zshrc_dir/ohmy.zsh || \
source $zshrc_dir/prompt.zsh
# See https://github.com/zsh-users for more handy utilities. | bash |
d_bash_11001 | ---
+++
@@ -6,7 +6,7 @@
echo "https://github.com/adoptium/temurin8-binaries/releases/download/jdk8u302-b08/OpenJDK8U-jdk_x64_linux_hotspot_8u302b08.tar.gz"
;;
java11)
- echo "https://github.com/AdoptOpenJDK/openjdk11-binaries/releases/download/jdk-11.0.11%2B9/OpenJDK11U-jdk_x64_linux_hotspot_11.0.11_9.tar.g... | bash |
d_bash_11002 | ---
+++
@@ -19,8 +19,8 @@
| grep -v "^target datalayout" \
| grep -v "^; ModuleID" \
| cat - $LL_STUB \
- | $LLVM_AS - -o - \
- | python bitcode2cpp.py ${arch} \
- > $RESULT
+ | $LLVM_AS - -... | bash |
d_bash_11003 | ---
+++
@@ -7,6 +7,8 @@
function perform_test {
probecheck "rpmverify" || return 255
+ require rpm || return 255
+ rpm -qf /root || return 255
DF="$srcdir/test_probes_rpmverify_not_equals_operation.xml"
RF="results.xml" | bash |
d_bash_11004 | ---
+++
@@ -2,6 +2,7 @@
if ! xset q &>/dev/null; then
+ NumCommands=${#Commands[@]}
for i in "${!Commands[@]}"; do
Percentage=$((i * 100 / NumCommands))
echo $Percentage | bash |
d_bash_11005 | ---
+++
@@ -3,6 +3,11 @@
set -eux
MYSQL_TEST_LOG="$(pwd)/mysql.log"
+
+# mysql_install_db uses wrong path for resolveip
+# https://jira.mariadb.org/browse/MDEV-18563
+# https://travis-ci.org/brianmario/mysql2/jobs/615263124#L2840
+ln -s "$(command -v resolveip)" /usr/libexec/resolveip
mysql_install_db \
--l... | bash |
d_bash_11006 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-sudo ( apt-get install -y git python python-dev python-setuptools python-software-properties python-numpy python-pip nodejs-legacy npm watchdog ) && \
+sudo apt-get install -y git python python-dev python-setuptools python-software-properties python-numpy python-pip nodejs-lega... | bash |
d_bash_11007 | ---
+++
@@ -3,6 +3,7 @@
case $PYTHON_VERSION in
system)
+ curl https://bootstrap.pypa.io/get-pip.py | python
pip install virtualenv
virtualenv venv
. venv/bin/active | bash |
d_bash_11008 | ---
+++
@@ -6,6 +6,14 @@
echo " Installing Homebrew for you."
ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
fi
+
+# Taps to… tap before installing
+taps=(
+ completions/gem-completion
+)
+
+# Tap it!
+brew tap $(IFS=" "; echo "${taps[*]}")
# Packages to install
... | bash |
d_bash_11009 | ---
+++
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
-sudo aptitude install -y openssl build-essential xorg libssl-dev
+sudo apt-get install -y openssl build-essential xorg libssl-dev
wget http://wkhtmltopdf.googlecode.com/files/wkhtmltopdf-0.11.0_rc1-static-i386.tar.bz2
tar xvjf wkhtmltopdf-0.11.0_rc1-static-i386.tar.bz... | bash |
d_bash_11010 | ---
+++
@@ -6,6 +6,7 @@
ulimit -c unlimited; # Set core dump size as Ubuntu 14.04 lacks prlimit.
ulimit -a # Display all ulimit settings for transparency.
+cd ../../
pushd tools
# Ensure that meteor/tools has no TypeScript errors.
../meteor npx tsc --noEmit | bash |
d_bash_11011 | ---
+++
@@ -11,7 +11,7 @@
# Github API for it, and then parsing the JSON for the appropriate kind of
# binary. Happily, the binary is always called "h2spec" so we don't need
# even more shenanigans to get this to work.
- TARBALL=$(curl -s https://api.github.com/repos/summerwind/h2spec/releases/lates... | bash |
d_bash_11012 | ---
+++
@@ -4,12 +4,13 @@
anki_test_revision=a98c20a22f3d6e5eb6039bb3e06288dc23c3dec4
# install pyaudio system deps
-sudo apt-get install -y python-all-dev portaudio19-dev \
+sudo apt-get install -y virtualenv portaudio19-dev \
|| sudo pacman -S --noconfirm portaudio python-virtualenv
# enter venv if needed
... | bash |
d_bash_11013 | ---
+++
@@ -1,11 +1,4 @@
#!/bin/sh
-
-# Get the Source Code
-cd ..
-hg clone http://hg.python.org/cpython
-
-# Build Python
-cd cpython
-./configure
-make -j8
-sudo make install
+sudo add-apt-repository ppa:fkrull/deadsnakes
+sudo apt-get update
+sudo apt-get install python3.4 | bash |
d_bash_11014 | ---
+++
@@ -20,7 +20,7 @@
docker build -t $PROJECT_NAME:$ENV .
docker stop $PROJECT_NAME || echo
docker container prune --force --filter "until=336h"
-docker container rm $PROJECT_NAME
+docker container rm $PROJECT_NAME || echo
docker run \
--detach \
--restart=always \ | bash |
d_bash_11015 | ---
+++
@@ -1,5 +1,6 @@
#!/bin/sh
rm -rf doc/rst && mkdir doc/rst
+make doc
pandoc --read=html --write=rst doc/leo_mq_api.html -o doc/rst/leo_mq_api.rst
pandoc --read=html --write=rst doc/leo_mq_server.html -o doc/rst/leo_mq_server.rst | bash |
d_bash_11016 | ---
+++
@@ -3,4 +3,4 @@
source /var/www/envs/twweb/bin/activate
export EVENTLET=true
export NEW_RELIC_CONFIG_FILE=/var/www/twweb/newrelic-status.ini
-exec /var/www/envs/twweb/bin/newrelic-admin run-program /var/www/envs/twweb/bin/gunicorn inthe_am.wsgi -k eventlet --config /var/www/twweb/gunicorn_status.conf.py
+e... | bash |
d_bash_11017 | ---
+++
@@ -1,2 +1,2 @@
#!/bin/bash
-epydoc --graph umlclasstree ovs -o $1 -v --exclude=test --no-sourcecode --no-private
+epydoc --graph umlclasstree ovs -o $1 -v --exclude=test --no-sourcecode --no-private > /dev/null | bash |
d_bash_11018 | ---
+++
@@ -7,8 +7,6 @@
# Install git (the php image doesn't have it) which is required by composer
echo -e 'http://dl-cdn.alpinelinux.org/alpine/edge/main\nhttp://dl-cdn.alpinelinux.org/alpine/edge/community\nhttp://dl-cdn.alpinelinux.org/alpine/edge/testing' > /etc/apk/repositories
-# apk upgrade --update
-# &&... | bash |
d_bash_11019 | ---
+++
@@ -3,7 +3,7 @@
cd `dirname $0`
CWD="`pwd`"
-curl http://127.0.0.1:8484/test/run.cfm?reporter=text
+curl --verbose "http://127.0.0.1:8484/test/run.cfm?reporter=text"
exitcode=$(<.exitcode)
rm -f .exitcode | bash |
d_bash_11020 | ---
+++
@@ -6,7 +6,7 @@
then
conda install astropy mock numpy sphinx pytz lxml html5lib beautifulsoup4
else
- if python --version 2>&1 | ! grep -q 2.6
+ if ! python --version 2>&1 | grep -q 2.6
then pip install astropy
fi
pip install mock numpy sphinx pytz | bash |
d_bash_11021 | ---
+++
@@ -1,15 +1,13 @@
#!/bin/bash
cd cli/venom
-for GOOS in windows darwin linux freebsd solaris; do
- for GOARCH in 386 amd64 arm; do
- if [[ $GOARCH == "arm" && $GOOS != "linux" ]]; then
- continue;
- fi;
- architecture="${GOOS}-${GOARCH}"
- echo "Building ${architect... | bash |
d_bash_11022 | ---
+++
@@ -5,7 +5,7 @@
export BOSH_CLI_SILENCE_SLOW_LOAD_WARNING=true
set +x
-source deployments-bosh/concourse/$cpi_release_name/lifecycle-exports.sh
+source bosh-concourse-ci/pipelines/$cpi_release_name/lifecycle-exports.sh
set -x
source /etc/profile.d/chruby.sh | bash |
d_bash_11023 | ---
+++
@@ -8,7 +8,7 @@
redis_1
antivirus_1
webdav_1
-# fetchmail_1
+ fetchmail_1
front_1
)
@@ -32,7 +32,7 @@
cp $file .env
docker-compose -f tests/compose/run.yml -p $DOCKER_ORG up -d
sleep 1m
- docker ps
+ docker ps -a
container_logs
containers_check || exit 1
done | bash |
d_bash_11024 | ---
+++
@@ -12,6 +12,7 @@
do
if test "${SAVED#*$event}" = "$SAVED"
then
+ date "+DATE: %Y-%m-%d%nTIME: %H:%M:%S"
ENDPOINT="https://api.telegram.org/bot"$TOKEN"/sendMessage?chat_id=@oneplayerdown&text=Nuevo%20evento:%0Ahttp://www.oneplayerdown.com/events/"$event
curl -s -X POST $ENDPOINT
echo ... | bash |
d_bash_11025 | ---
+++
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
-BRANCH=$(git rev-parse --abbrev-ref HEAD)
+BRANCH=${TRAVIS_PULL_REQUEST_BRANCH:-$TRAVIS_BRANCH}
ENGINES_DIR=../stash_engines
mkdir ${ENGINES_DIR} && \ | bash |
d_bash_11026 | ---
+++
@@ -4,7 +4,7 @@
shift
local string=${@}
- if [[ ${string:0:1} == ${char} ]]; then
+ if [[ ${string} == ${char}* ]]; then
echo true
fi
} | bash |
d_bash_11027 | ---
+++
@@ -1,3 +1,4 @@
+#!/bin/bash
if test "$#" -ne 2; then
echo "Usage: ./node-bootstrap.sh /path/to/working/folder /path/to/listener.js "
echo "For example:"
@@ -5,21 +6,26 @@
exit
fi
+echo "- CREATING SUPERNOVA OBSERVER"
+
mkdir $1
cd $1
cp $2 ./
-mkdir $1/node
-cd $1/node
+mkdir $1/nodeBin
+cd ... | bash |
d_bash_11028 | ---
+++
@@ -6,7 +6,7 @@
echo "Start to publish lastest Javadoc to gh-pages..."
- cp -R build/docs/javadoc $HOME/javadoc-latest
+ cd build/
if test -d gh-pages
then
@@ -20,7 +20,7 @@
fi
git rm -rf ./javadoc
- cp -Rf $HOME/javadoc-latest ./javadoc
+ cp -Rf ../javadoc ./javadoc
git add -f .... | bash |
d_bash_11029 | ---
+++
@@ -39,3 +39,9 @@
fi
done < $FILENAME
+
+# use command line tools from installed xcode version
+# OHNO: this asks for user password so it's annoying to always run it
+# TODO: figure how to validate whether it's necessary to run this command, probably with the output of `xcodebuild`
+# HELP: https://stac... | bash |
d_bash_11030 | ---
+++
@@ -4,4 +4,4 @@
dirTest="$(dirname "$(readlink -f "$BASH_SOURCE")")"
dirContainer='/var/www/html/hello-world'
-docker run -it --rm -v "$dirTest":"$dirContainer" -w "$dirContainer" "$image" php index.php
+docker run --rm -v "$dirTest":"$dirContainer":ro -w "$dirContainer" "$image" php index.php | bash |
d_bash_11031 | ---
+++
@@ -5,10 +5,16 @@
# $1 is the file to execute
# $2 grub.cfg file
# $3 iso image file
+#set -x
tmpdir=$(mktemp -d /tmp/grub-mkrescue.isofiles.XXX)
#echo "'tmpdir=${tmpdir}"
mkdir -p ${tmpdir}/boot/grub
cp $1 ${tmpdir}/boot/
cp $2 ${tmpdir}/boot/grub/grub.cfg
-grub-mkrescue -o $3 ${tmpdir} 2> /dev... | bash |
d_bash_11032 | ---
+++
@@ -11,4 +11,5 @@
git --git-dir=$WORKING_DIR/.git show $BRANCH:upper-constraints.txt \
2>/dev/null > /tmp/upper-constraints.txt || true
pip --verbose wheel -r /tmp/upper-constraints.txt -w $WHEELHOUSE_DIR || true
+ pip3 --verbose wheel -r /tmp/upper-constraints.txt -w $WHEELHOUSE_DIR ||... | bash |
d_bash_11033 | ---
+++
@@ -5,9 +5,14 @@
./scripts/bootstrap.sh
./scripts/start-collect-enrich.sh &
-sleep 1
-./dist/build/snowglobe-analysis/snowglobe-analysis \
- --events data/events.tsv \
- DayReport
+CE_PID=$!
-# TODO: Kill collecter and enricher subprocess
+sleep 1 # Be sure the collector and enricher are initialized.
... | bash |
d_bash_11034 | ---
+++
@@ -17,7 +17,7 @@
fi
test -f re2/$LIBRE2 && exit 0
- RE2_REV=${RE2_REV:-2017-12-01}
+ RE2_REV=${RE2_REV:-2018-02-01}
case $(git config --get remote.origin.url) in
git@github.com*|https://github.com*|git://github.com*)
RE2_URL=https://github.com/google/re2 | bash |
d_bash_11035 | ---
+++
@@ -29,7 +29,12 @@
echo lescan already running
fi
+CMD="${ROOT}/Debug/src2/NativeScannerBlueZ --scannerID "${scannerID:-`hostname`}" --brokerURL "${brokerURL:-192.168.1.107:5672}" --heartbeatUUID "${heartbeatUUID}" --useQueues $*"
+# Check for a background argument
+if [ "$1" == "-background" ]; t... | bash |
d_bash_11036 | ---
+++
@@ -1,6 +1,7 @@
#!/bin/bash
# ~/.pause: "user %s\npassword %s\n"
+# ~/.local/share/.cpan -> ~/.cpan/
. `dirname "$0"`/.helpers.sh
umask 0077 | bash |
d_bash_11037 | ---
+++
@@ -1,5 +1,10 @@
#!/bin/bash
set -eu
+
+# PLOT SH
+
+# Wraps JWPLOT, EPS->PDF conversion
+# Provide a MODE: load or rate
if [[ ${#*} != 1 ]]
then
@@ -10,4 +15,4 @@
# JWPLOT: https://github.com/jmjwozniak/jwplot
jwplot $MODE.{cfg,eps,data}
-# convert $MODE.{eps,pdf}
+convert $MODE.{eps,pdf} | bash |
d_bash_11038 | ---
+++
@@ -8,7 +8,7 @@
install_mas_app 1274495053 'Microsoft To Do'
install_mas_app 1176895641 'Spark'
install_mas_app 1091189122 'Bear'
-install_mas_app 451640037 'Classic Color Meter'
+install_mas_app 451640037 'Classic Color Meter'
install_mas_app 407963104 'Pixelmator'
install_mas_app 422304217 'Day One Cl... | bash |
d_bash_11039 | ---
+++
@@ -17,7 +17,16 @@
pip install -r requirements.txt
# Call the script to cleanup the reports
+# This section is for long term use
+# python scripts/delete_expired_partner_gdpr_reports.py \
+# --config_file=$WORKSPACE/user-retirement-secure/$ENVIRONMENT.yml \
+# --google_secrets_file=$WORKSPACE/user... | bash |
d_bash_11040 | ---
+++
@@ -11,7 +11,7 @@
eval "$(ssh-agent -s)" #start the ssh agent
ssh-add .travis/id_rsa
- gulp cd:pushAndRun
+ gulp cd
elif [ $TRAVIS_BRANCH = "staging" ]; then
echo "Deploying to staging and testing"
| bash |
d_bash_11041 | ---
+++
@@ -13,6 +13,9 @@
;;
vendor)
docker run --rm -v $PWD:/app -w /app treeder/go vendor
+ ;;
+ fmt)
+ docker run --rm -v $PWD:/app -w /app treeder/go fmt
;;
run)
docker run --rm -v $PWD:/app -w /app -p 8080:8080 iron/base ./app | bash |
d_bash_11042 | ---
+++
@@ -17,11 +17,8 @@
grep -Fxvf /tmp/base.txt <(dpkg -l | grep ^ii | sed 's_ _\t_g' | cut \
-f 2) >/tmp/add-apt.txt
-# Ensure UTF-8, required for add-apt-repository call.
-locale-gen en_US.UTF-8
-
# Add new repos and update again
-LC_ALL=en_US.UTF-8 LANG=en_US.UTF-8 add-apt-repository -y ppa:cz.nic-labs/... | bash |
d_bash_11043 | ---
+++
@@ -15,6 +15,7 @@
curl -u faradayio:"$RUBYGEMS_AUTH" https://rubygems.org/api/v1/api_key.yaml > \
~/.gem/credentials
set -o xtrace
+chmod 0600 ~/.gem/credentials
# Test our gem.
bundle exec rspec | bash |
d_bash_11044 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/sh
# Set user picture
-AVATAR_PATH='${HOME}/Pictures/.avatar.png'
+AVATAR_PATH="${HOME}/Pictures/.avatar.png"
cp avatar.png ${AVATAR_PATH}
dscl . delete /Users/brad Picture | bash |
d_bash_11045 | ---
+++
@@ -7,18 +7,21 @@
OS_VERSION=$(. /etc/os-release; echo "$VERSION"); readonly OS_VERSION
echo 'Install Docker Compose'
+LATEST=$(
+ curl -sSI https://github.com/docker/compose/releases/latest \
+ | tr -d '\r' \
+ | awk -F'/' '/^[Ll]ocation:/{print $NF}'
+)
+readonly LATEST
if [[ ${OS_ID:-} == 'ol' ... | bash |
d_bash_11046 | ---
+++
@@ -7,11 +7,6 @@
function recipe_stage {
dest="$(realpath $1)"
- mkdir -pv "$dest/lib"
- mkdir -pv "$dest/include"
- cp -rv "include"/* "$dest/include"
- cp -rv "target/include"/* "$dest/include"
- cp -v "target/$TARGET/debug/libc.a" "$dest/lib"
- cp -v "target/$TARGET/debug/crt0.o" ... | bash |
d_bash_11047 | ---
+++
@@ -14,3 +14,4 @@
git clone https://github.com/morhetz/gruvbox
git clone https://github.com/ap/vim-buftabline
git clone https://github.com/noahfrederick/vim-noctu
+git clone https://github.com/sheerun/vim-polyglot | bash |
d_bash_11048 | ---
+++
@@ -6,7 +6,7 @@
cd _site
git clone git@github.com:cirg-up/cilib.git --branch gh-pages --depth 1 .
git checkout --orphan newBranch
-cp -R ../docs/target/site .
+cp -R ../docs/target/site/* .
git add --all
git commit -a -m "Travis #$TRAVIS_BUILD_NUMBER update site"
git branch -D gh-pages | bash |
d_bash_11049 | ---
+++
@@ -3,7 +3,7 @@
case "$1" in
java8)
- echo "https://github.com/AdoptOpenJDK/openjdk8-binaries/releases/download/jdk8u252-b09/OpenJDK8U-jdk_x64_linux_hotspot_8u252b09.tar.gz"
+ echo "https://github.com/AdoptOpenJDK/openjdk8-binaries/releases/download/jdk8u262-b10/OpenJDK8U-jdk_x64_linux_hotspot_8u262b... | bash |
d_bash_11050 | ---
+++
@@ -26,3 +26,7 @@
# Hard-restart monit in case it cannot reload
/etc/init.d/monit restart
fi
+
+if ! (timeout --signal=9 10 bash -c "while ! (monitCheckHasReloaded); do sleep 0.05; done"); then
+ exit 1
+fi | bash |
d_bash_11051 | ---
+++
@@ -4,7 +4,8 @@
echo "Deploy $STACK_NAME stack at $REGION region"
-sourcebucket=excellexbotsource$STACK_NAME
+sourcebucket=excellexbotsource$UNIQUE_ID
+
aws s3 mb s3://$sourcebucket --region $REGION
rm excellexbotpackage.yaml
sam package --template-file excellexbot.yaml --s3-bucket $sourcebucket --ou... | bash |
d_bash_11052 | ---
+++
@@ -1,4 +1,4 @@
-cd ../
-zip -r HaliteEnvironment-Source environment/*
-mkdir website/downloads/environment
-mv HaliteEnvironment-Source.zip website/downloads/environment/
+cd ../environment
+zip -r HaliteEnvironment-Source *
+mkdir ../website/downloads/environment
+mv HaliteEnvironment-Source.zip ../website/... | bash |
d_bash_11053 | ---
+++
@@ -7,4 +7,7 @@
sed -i '' 's/.*cask.*//g' Brewfile
sed -i '' 's/.*mas.*//g' Brewfile
+# Remove iftop since it gives a sudo error
+sed -i '' 's/.*iftop.*//g' Brewfile
+
brew bundle install | bash |
d_bash_11054 | ---
+++
@@ -17,16 +17,23 @@
fi
# install server
+# nginx
yes | $app nginx
sudo systemctl start nginx.service
sudo systemctl enable nginx.service
+# mysql -> mariadb
yes | $app mariadb mariadb-server
sudo systemctl start mariadb
sudo systemctl enable mariadb
+# php
yes | $app php-fpm php-mysql php-commo... | bash |
d_bash_11055 | ---
+++
@@ -11,7 +11,7 @@
echo export PATH="\$PATH:~/apache-maven-$MAVEN_VERSION/bin" >> ~/.bashrc
exit
}
-export MAVEN_VERSION=3.6.1
+export MAVEN_VERSION=3.6.3
echo -e '\n'Please check the corresponding Maven version from:
echo https://maven.apache.org/download.cgi
echo currently the config file has the follo... | bash |
d_bash_11056 | ---
+++
@@ -13,6 +13,6 @@
echo "i 0"
echo "etc."
echo "Paste this line into the terminal to get it to start sending sensor data:"
-echo "d,0.403000,0.006760,0.0,0.0,0.0"
+echo "d,0.403000,0.006760,0,0.0,0.0,0.0"
miniterm.py $(${SCRIPTDIR}/find_ActivityBoard.sh) 115200
| bash |
d_bash_11057 | ---
+++
@@ -2,6 +2,15 @@
#Intialize
apt-get update
+apt-get install -y build-essential
+apt-get install -y tcl8.5
+
+## Install golang | https://github.com/golang/go/wiki/Ubuntu
+yes | add-apt-repository ppa:ubuntu-lxc/lxd-stable
+apt-get install -y golang
## Install Puppet
apt-get install -y puppet
+puppet m... | bash |
d_bash_11058 | ---
+++
@@ -14,7 +14,7 @@
then source "$DOTFILES/bash/private.sh"
fi
-export EDITOR=emacs
+export EDITOR="emacs -nw"
export VISUAL=$EDITOR
export ARCHFLAGS="-arch x86_64" | bash |
d_bash_11059 | ---
+++
@@ -4,7 +4,7 @@
export LOCAL_DB_HOST=$(echo $DB_HOST | awk -F ":" '{ print $1 }')
export LOCAL_DB_PORT=$(echo $DB_HOST | awk -F ":" '{ if ($2 == "") print 3306; else $2; }')
-envsubst < /config.tmpl.yml > ./app/config.yml
+[ ! -f ./app/config.yml ] envsubst < /config.tmpl.yml > ./app/config.yml
./bin/con... | bash |
d_bash_11060 | ---
+++
@@ -1 +1 @@
-python scholar_py/scholar.py -ddd -c 1 --author "albert einstein" --phrase "quantum theory"
+python scholar_py/scholar.py -ddd -c 1 --author "albert einstein" --phrase "quantum theory" --citation bt | bash |
d_bash_11061 | ---
+++
@@ -1,4 +1,5 @@
#!/bin/bash
+gem install sinatra
if [ "$RACK_ENV" == "production" ];
then
bundle install --without development test | bash |
d_bash_11062 | ---
+++
@@ -1,4 +1,4 @@
# sup yarn
# https://yarnpkg.com
-export PATH="$HOME/.yarn/bin:$PATH"
+export PATH="$PATH:`yarn global bin`" | bash |
d_bash_11063 | ---
+++
@@ -3,4 +3,15 @@
cp -av /clients.git/utils/tmuxinator/session.yml ~/.tmuxinator
wget --no-check-certificate https://raw.github.com/robbyrussell/oh-my-zsh/master/tools/install.sh -O - | sh
sudo salt-call state.highstate
+echo <<EOF
+Now you need install tmuxinator
+ sudo -s
+ export REALLY_GEM_UPDATE_S... | bash |
d_bash_11064 | ---
+++
@@ -14,9 +14,9 @@
make distclean rel || exit 1
# If the string is null, then the git command returned false
-if git describe --tags --match='*-[0-9]*.[0-9]*.[0-9]*' --exact-match
+if git describe --tags --match='[0-9]*.[0-9]*.[0-9]*' --exact-match
then
- VERSION=$(git describe --tags --exact-match --m... | bash |
d_bash_11065 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/sh
-. /common.sh
+. /scripts/common.sh
notice " Relaying all mails to blackhole.${reset}"
postconf -e "smtpd_end_of_data_restrictions=check_client_access static:discard" | bash |
d_bash_11066 | ---
+++
@@ -1,7 +1,7 @@
#/usr/bin/env bash
ERRORFILE="violations.txt"
-THRESHOLD=1050
+THRESHOLD=862
IGNORE="W292,E202"
flake8 --ignore=$IGNORE oscar | perl -ple "s/: /: [E] /" | grep -v migrations > $ERRORFILE | bash |
d_bash_11067 | ---
+++
@@ -2,6 +2,7 @@
if [ "$TRAVIS_OS_NAME" == "linux" ]; then
sudo -E apt-get update -qq
+ sudo -E apt-get install -y qt5-default
fi
if [ "$IS_COVERAGE_BUILD" == 1 ]; then | bash |
d_bash_11068 | ---
+++
@@ -6,6 +6,7 @@
cd /data/$1
python setup.py sdist
TARBALL=$(ls dist)
+VERSION=$(python setup.py --version)
mv dist/$TARBALL ~/rpmbuild/SOURCES/
# The project may have either it's own spec repo of use a subdirectory of the global one
@@ -14,12 +15,12 @@
cp *.spec ~/rpmbuild/SPECS/
cd ~/rpmbuild/SPECS/... | bash |
d_bash_11069 | ---
+++
@@ -6,18 +6,21 @@
nvm alias default "v$TRAVIS_NODE_VERSION"
sh -e /etc/init.d/xvfb start
-cd packages/base
+cd packages
+
+cd base
npm run test:unit:$BROWSER
cd ..
-cd packages/controls
+cd controls
npm run test:unit:$BROWSER
cd ..
-cd packages/html-manager
+cd html-manager
npm run test:unit:$BRO... | bash |
d_bash_11070 | ---
+++
@@ -1,12 +1,12 @@
#!/bin/bash
pushd ..
-wget http://sourceforge.net/projects/cppcheck/files/cppcheck/1.64/cppcheck-1.64.tar.bz2
-tar -xvf cppcheck-1.64.tar.bz2
-cd cppcheck-1.64
+wget http://sourceforge.net/projects/cppcheck/files/cppcheck/1.64/cppcheck-1.65.tar.bz2
+tar -xvf cppcheck-1.65.tar.bz2
+cd cpp... | bash |
d_bash_11071 | ---
+++
@@ -1,5 +1,14 @@
#!/usr/bin/env bash
-export LIBPROCESS_IP="$ETH1_IP"
+set -x
+
+if [[ $ETH1_IP ]]; then
+ export LIBPROCESS_IP="$ETH1_IP"
+elif [[ $TUN0_IP ]]; then
+ export LIBPROCESS_IP="$TUN0_IP"
+else
+ echo "Neither ETH1_IP nor TUN0_IP was set!" 1>&2
+ exit 1
+fi
supervisord
supervisorctl reloa... | bash |
d_bash_11072 | ---
+++
@@ -2,19 +2,11 @@
then
echo Please set AVG_PATH
else
- # Set the debug info flag to use depending on whether clang is used as compiler.
- # Is there an easier way to do this?
if [[ "${CXX}" == "" ]]
then
CXX=gcc
fi
- IS_CLANG="`${CXX} --version 2> /dev/null | grep clang... | bash |
d_bash_11073 | ---
+++
@@ -1,3 +1,3 @@
#!/usr/bin/env bash
-/home/ubuntu/anaconda3/bin/aws s3 cp s3://entilzha-us-west-2/questions/naqt.db /ssd-c/qanta/qb/data/internal/naqt.db
+/home/ubuntu/anaconda3/bin/aws s3 cp s3://entilzha-us-west-2/naqt-questions/naqt.db /ssd-c/qanta/qb/data/internal/naqt.db | bash |
d_bash_11074 | ---
+++
@@ -9,6 +9,9 @@
fi
for conf in "$HOME"/.i3/core/*; do
+ # Strip leading path
+ conf=${conf##*/}
+
echo -e "\n" >> "$HOME"/.i3/config
cat "$HOME/.i3/core/$conf" >> "$HOME"/.i3/config
if [ -e "$HOSTNAME" ] && [ -e "$HOME/.i3/$HOSTNAME/$conf" ]; then | bash |
d_bash_11075 | ---
+++
@@ -16,7 +16,7 @@
;;
esac
-echo "Removing all existing brew package and update teh formule"
+echo "Removing all existing brew package and update the formule"
brew remove --force $(brew list)
brew update
@@ -31,6 +31,7 @@
echo "Installing python and friends"
brew install python numpy
+brew link... | bash |
d_bash_11076 | ---
+++
@@ -8,5 +8,8 @@
echo "start setup..."
for f in .??*; do
+ if [[ $f =~ .git* ]]; then
+ continue
+ fi
ln -snfv ~/dotfiles/"$f" ~/
done | bash |
d_bash_11077 | ---
+++
@@ -32,8 +32,7 @@
libavformat-dev \
libswscale-dev \
artoolkitplus-dev \
-libcwiid-dev \
-vim
+libcwiid-dev
# Replace the sources.list with the backup
mv /etc/apt/sources.list.backup /etc/apt/sources.list | bash |
d_bash_11078 | ---
+++
@@ -11,6 +11,7 @@
-projectPath $(pwd) \
-buildWindowsPlayer "$(pwd)/Build/windows/$project.exe" \
-quit
+rc=$?; if [[ $rc != 0 ]]; then exit $rc; fi
echo "Attempting to build $project for OS X"
/Applications/Unity/Unity.app/Contents/MacOS/Unity \
@@ -21,6 +22,7 @@
-projectPath $(pwd) \
-bui... | bash |
d_bash_11079 | ---
+++
@@ -12,7 +12,19 @@
avahi-daemon -D
sleep 1
-HOME=/config start_pms &
-sleep 5
-
-tail -f /config/Library/Application\ Support/Plex\ Media\ Server/Logs/**/*.log
+if [ -f /config/Library/Application\ Support/Plex\ Media\ Server/Preferences.xml ]; then
+ echo "$(date -R) Starting Plex"
+ HOME=/config s... | bash |
d_bash_11080 | ---
+++
@@ -8,6 +8,6 @@
cd generated
git add -A
-git commit -m %1
+git commit -m $1
git push origin gh-pages
cd .. | bash |
d_bash_11081 | ---
+++
@@ -29,7 +29,12 @@
--graphic=none
make gp
-make test-all
+
+if [ "$(uname)" == "Linux" ]
+then
+ make test-all;
+fi
+
make install install-lib-sta
cp "src/language/anal.h" "$PREFIX/include/pari/anal.h" | bash |
d_bash_11082 | ---
+++
@@ -2,5 +2,10 @@
#
# Setting Java_Home
+# Create a JAVA_HOME variable, determined dynamically
export JAVA_HOME=$(/usr/libexec/java_home)
export LD_LIBRARY_PATH=$JAVA_HOME/jre/lib/server
+# Add that to the global PATH variable
+export PATH=${JAVA_HOME}/bin:$PATH
+# Add the Android SDK to the PATH variabl... | bash |
d_bash_11083 | ---
+++
@@ -7,7 +7,7 @@
apt-get update
apt-get install nginx gunicorn rabbitmq-server
apt-get install python-pip python-mysqldb
-pip install django requests pip pika
+pip install django requests pika boto
# Set up nginx proxy, then restart
cp nginx.conf /etc/nginx/nginx.conf | bash |
d_bash_11084 | ---
+++
@@ -19,6 +19,6 @@
tar -xvf $year/gsod_$year.tar -C $year/
rm $year/gsod_$year.tar
for filename in `ls $year/*.gz`; do
- gunzip $year/$filename
+ gunzip $filename
done
fi | bash |
d_bash_11085 | ---
+++
@@ -7,7 +7,7 @@
# n98-magerun basic command completion
_n98_magerun_get_command_list () {
- n98-magerun.phar --no-ansi | sed "1,/Available commands/d" | awk '/^\s+[a-z]+/ { print $1 }'
+ n98-magerun.phar --no-ansi | sed "1,/Available commands/d" | awk '/^ +[a-z\-:]+/ { print $1 }'
}
_n98_magerun () ... | bash |
d_bash_11086 | ---
+++
@@ -4,6 +4,41 @@
# TODO: run clippy on the other crates, for now we only fixed the clippy warning on the client crate
pushd client
+cargo clippy --all-features -- \
+ --allow type_complexity \
+ --allow doc_markdown \
+ --allow module_inception
+popd
+
+pushd compatibility-tests
+cargo clippy --f... | bash |
d_bash_11087 | ---
+++
@@ -7,20 +7,35 @@
fi
}
-get_ec2_hostname()
+get_ec2_address()
{
+ url=$1
# Try collecting fqdn if it is set correctly
- fqdn=$(/opt/gitlab/embedded/bin/curl -s http://169.254.169.254/latest/meta-data/public-hostname)
+ fqdn=$(/opt/gitlab/embedded/bin/curl -s ${url})
if [ -n "${fqdn}" ]; then
-... | bash |
d_bash_11088 | ---
+++
@@ -5,6 +5,9 @@
# Go to top level directory
cd "$(dirname "$0")"
+ # Make sure the `docs-origin` remote is defined
+ git remote add docs-origin https://github.com/rethinkdb/docs.git &>/dev/null
+
# Pull the latest docs
git subtree pull --prefix build/docs docs-origin master
) | bash |
d_bash_11089 | ---
+++
@@ -20,8 +20,8 @@
e2e_indices="$(
es_curl 'https://localhost:9200/_aliases' \
- | jq '. | with_entries(select(.key | startswith("project.(bd|e2e)-"))) | keys ' \
- | grep '"' | cut -d '"' -f2
+ | jq -M 'keys | map(select(. | test("project.(bd|e2e)-")))' \
+ | awk -F'"' '/"/{print $2}'
)" ||... | bash |
d_bash_11090 | ---
+++
@@ -1,23 +1,25 @@
#!/bin/bash
function drawProgress {
- PERCENT=$1
- SIZE=$(($2-2))
- START=$3
- PROGRESS=$((PERCENT*SIZE/100))
-
- STRING=""
- for ((i=0; i<SIZE; i++)); do
- if [ $i -lt $PROGRESS ]; then
- STRING+="#"
- else
- STRING+="-"
- fi
... | bash |
d_bash_11091 | ---
+++
@@ -10,20 +10,24 @@
# * POPPLER_VERSION
#
POPPLER_VERSION=${POPPLER_VERSION:="0.52.0"}
+POPPLER_DIR=${POPPLER_DIR:=$HOME/cache/poppler-$POPPLER_VERSION}
set -e
-POPPLER_DIR=${POPPLER_DIR:=$HOME/poppler}
-CACHED_DOWNLOAD="${HOME}/cache/poppler-${POPPLER_VERSION}.tar.xz"
-mkdir -p "${POPPLER_DIR}"
-wget... | bash |
d_bash_11092 | ---
+++
@@ -1,8 +1,6 @@
#!/bin/bash
NUGET_LATEST_DIST="https://dist.nuget.org/win-x86-commandline/latest/nuget.exe"
-TRAVIS_TEST_CONFIG_SOURCE="Tests/CSF.Screenplay.Web.Tests/App.Travis.config"
-TEST_CONFIG_DESTINATION="Tests/CSF.Screenplay.Web.Tests/App.config"
NUNIT_CONSOLE_VERSION="3.7.0"
NUGET_PATH=".nuget/... | bash |
d_bash_11093 | ---
+++
@@ -1,5 +1,6 @@
echo "> Start transpiling ES2015"
echo ""
+rm -rf ./dist
./node_modules/.bin/babel --ignore __tests__ --plugins "transform-runtime" ./src --out-dir ./dist
echo ""
echo "> Complete transpiling ES2015" | bash |
d_bash_11094 | ---
+++
@@ -23,8 +23,8 @@
cd $1
# safety check:
-# only accept directories that contain CMakeCache.txt and cmakefiles
-if ! [ -f "CMakeCache.txt" ] || ! [ -d "cmakefiles" ] ; then
+# only accept directories that contain CMakeCache.txt and CMakeFiles
+if ! [ -f "CMakeCache.txt" ] || ! [ -d "CMakeFiles" ] ; then
... | bash |
d_bash_11095 | ---
+++
@@ -1,3 +1,3 @@
#!/bin/sh
export PATH=$PATH:/usr/lib/postgresql/9.1/bin
-psql -h /home/tuomas/tmp/postgresql oskaridb
+psql -h /home/$1/tmp/postgresql oskaridb | bash |
d_bash_11096 | ---
+++
@@ -2,15 +2,34 @@
#
# Build and push the images.
+#
+# Usage: build-push-images.sh mydockerhubuser/myreponame
+# E.g. build-push-images.sh eugenesia/phpfarm
+#
# Turn on Docker experimental mode to enable the --squash functionality.
+# See https://github.com/docker/docker/tree/master/experimental
#
+
+i... | bash |
d_bash_11097 | ---
+++
@@ -7,7 +7,6 @@
apt-get -qq -y update
apt-get -qq -y install openjdk-7-jdk rake ruby-puppetlabs-spec-helper puppet-lint git bundler python-dev libssl-dev libxml2-dev libxslt-dev python-tox python-pip build-essential libmysqlclient-dev libfreetype6-dev libpng12-dev git-buildpackage debhelper dupload libffi-d... | bash |
d_bash_11098 | ---
+++
@@ -53,7 +53,7 @@
)
CASKS=(
- font-fira-code
+ caskroom/fonts/font-fira-code
)
h1 "minimal" | bash |
d_bash_11099 | ---
+++
@@ -1,3 +1,10 @@
autoload -U edit-command-line
zle -N edit-command-line
bindkey '\C-x\C-e' edit-command-line
+
+zmodload -i zsh/parameter
+insert-last-command-output() {
+LBUFFER+="$(eval $history[$((HISTCMD-1))])"
+}
+zle -N insert-last-command-output
+bindkey '\C-x\C-i' insert-last-command-output | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.